<?php

namespace App\Controllers;

use App\Models\ModelDashboard;
use CodeIgniter\Controller;

class Dashboard extends Controller
{
    protected $ModelDashboard;

    public function __construct()
    {
        $this->ModelDashboard = new ModelDashboard();
    }

    public function index()
    {
        return view('dashboard');
    }

    // Endpoint untuk mengambil data dashboard secara lengkap
    public function getDashboardData()
    {

        $db = \Config\Database::connect(); // koneksi database
        // Tambahan untuk rekam medis, kunjungan, pasien
        // Hitung total dari tabel
        $kunjungan = $db->table('kunjungan')->countAllResults();
        $rekamMedis = $db->table('rekam_medis')->countAllResults();
        $pasien = $db->table('pasien')->countAllResults();


        // Menyiapkan respons
        $response = [
            'success' => true,
            'data' => [

                'kunjungan' => ['total' => $kunjungan],
                'rekammedis' => ['total' => $rekamMedis],
                'pasien' => ['total' => $pasien]
            ]
        ];

        // Mengembalikan data dalam format JSON
        return $this->response->setJSON($response);
    }
}
